summaryrefslogtreecommitdiffstats
path: root/meta/classes/kernel-yocto.bbclass
diff options
context:
space:
mode:
authorBruce Ashfield <bruce.ashfield@windriver.com>2014-03-17 14:00:15 -0400
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-09-01 14:35:39 +0100
commit4e96983a3a49e26a1b33ad2a548e2d10bd8fa7df (patch)
tree32f7b97ed30868a57c1cc0f6da7afa673b6ba5a1 /meta/classes/kernel-yocto.bbclass
parent6b294a048901f347337cac69dd63b3381a061470 (diff)
downloadpoky-4e96983a3a49e26a1b33ad2a548e2d10bd8fa7df.tar.gz
kernel-yocto: use cat-file instead of git-show
Parsing the output of git show is error prone, since it changes based on the type of issue with bad comit IDs. Since the output is no longer used in the case of a valid ref, we can switch to git-cat-file and simply check the return code. (From OE-Core rev: 228c05013fe691321ec00467d8d0c0bb64dd175c) Signed-off-by: Darren Hart <dvhart@linux.intel.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/classes/kernel-yocto.bbclass')
-rw-r--r--meta/classes/kernel-yocto.bbclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/meta/classes/kernel-yocto.bbclass b/meta/classes/kernel-yocto.bbclass
index 6c92427704..38c886b21b 100644
--- a/meta/classes/kernel-yocto.bbclass
+++ b/meta/classes/kernel-yocto.bbclass
@@ -321,8 +321,8 @@ do_validate_branches() {
321 fi 321 fi
322 fi 322 fi
323 323
324 ref=`git show ${machine_srcrev} 2>&1 | head -n1 || true` 324 git cat-file -t ${machine_srcrev} > /dev/null
325 if [ "$ref" = "fatal: bad object ${target_meta_head}" ]; then 325 if [ if $? -ne 0 ]; then
326 echo "ERROR ${machine_srcrev} is not a valid commit ID." 326 echo "ERROR ${machine_srcrev} is not a valid commit ID."
327 echo "The kernel source tree may be out of sync" 327 echo "The kernel source tree may be out of sync"
328 exit 1 328 exit 1
@@ -358,8 +358,8 @@ do_validate_branches() {
358 git show-ref --quiet --verify -- "refs/heads/${KMETA}" 358 git show-ref --quiet --verify -- "refs/heads/${KMETA}"
359 if [ $? -eq 0 ] && [ "${target_meta_head}" != "AUTOINC" ]; then 359 if [ $? -eq 0 ] && [ "${target_meta_head}" != "AUTOINC" ]; then
360 if [ "$meta_head" != "$target_meta_head" ]; then 360 if [ "$meta_head" != "$target_meta_head" ]; then
361 ref=`git show ${target_meta_head} 2>&1 | head -n1 || true` 361 git cat-file -t ${target_meta_head} > /dev/null
362 if [ "$ref" = "fatal: bad object ${target_meta_head}" ]; then 362 if [ $? -ne 0 ]; then
363 echo "ERROR ${target_meta_head} is not a valid commit ID" 363 echo "ERROR ${target_meta_head} is not a valid commit ID"
364 echo "The kernel source tree may be out of sync" 364 echo "The kernel source tree may be out of sync"
365 exit 1 365 exit 1